Summary:	A high quality TV viewer
Summary(pl.UTF-8):	Program do oglądania TV w wysokiej jakości
Name:		tvtime
Version:	1.0.11
Release:	1
License:	GPL v2+
Group:		Applications/Multimedia
Source0:	https://linuxtv.org/downloads/tvtime/%{name}-%{version}.tar.gz
# Source0-md5:	f4adba831376a8baad92dbda49056138
Patch0:		%{name}-opt.patch
Patch1:		%{name}-autodetect_textured_overlay.patch
Patch2:		%{name}-x32.patch
URL:		http://tvtime.sourceforge.net/
BuildRequires:	alsa-lib-devel >= 1.0.9
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	freetype-devel >= 2
BuildRequires:	gcc >= 5:3.2
BuildRequires:	gettext-tools
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	zlib-devel
Requires:	alsa-lib >= 1.0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
tvtime is a high quality television application for use with video
capture cards. tvtime processes the input from a capture card and
displays it on a computer monitor or projector. Unlike other
television applications, tvtime focuses on high visual quality making
it ideal for videophiles.

%description -l pl.UTF-8
tvtime to aplikacja do wysokiej jakości telewizji przeznaczona do
używania z kartami przechwytującymi obraz. tvtime przetwarza wejście z
karty i wyświetla je na monitorze lub projektorze komputerowym. W
przeciwieństwie do innych aplikacji telewizyjnych tvtime skupia się na
wysokiej jakości obrazu, co czyni go idealnym dla wideofili.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README data/COPYING.* docs/html
%attr(755,root,root) %{_bindir}/tvtime
%attr(755,root,root) %{_bindir}/tvtime-command
%attr(755,root,root) %{_bindir}/tvtime-configure
%attr(755,root,root) %{_bindir}/tvtime-scanner
%dir %{_sysconfdir}/tvtime
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tvtime/tvtime.xml
%{_datadir}/appdata/tvtime.appdata.xml
%{_desktopdir}/tvtime.desktop
%{_iconsdir}/hicolor/*x*/apps/tvtime.png
%{_datadir}/tvtime
%{_mandir}/man1/tvtime.1*
%{_mandir}/man1/tvtime-command.1*
%{_mandir}/man1/tvtime-configure.1*
%{_mandir}/man1/tvtime-scanner.1*
%{_mandir}/man5/stationlist.xml.5*
%{_mandir}/man5/tvtime.xml.5*
%lang(de) %{_mandir}/de/man1/tvtime.1*
%lang(de) %{_mandir}/de/man1/tvtime-command.1*
%lang(de) %{_mandir}/de/man1/tvtime-configure.1*
%lang(de) %{_mandir}/de/man1/tvtime-scanner.1*
%lang(de) %{_mandir}/de/man5/stationlist.xml.5*
%lang(de) %{_mandir}/de/man5/tvtime.xml.5*
%lang(es) %{_mandir}/es/man1/tvtime.1*
%lang(es) %{_mandir}/es/man1/tvtime-command.1*
%lang(es) %{_mandir}/es/man1/tvtime-configure.1*
%lang(es) %{_mandir}/es/man1/tvtime-scanner.1*
%lang(es) %{_mandir}/es/man5/stationlist.xml.5*
%lang(es) %{_mandir}/es/man5/tvtime.xml.5*
%changelog
* Sun May 14 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tvtime.git;a=log;h=master

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> d083c52
- updated to 1.0.11

* Mon Jul 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 7db4f2c
- added x32 patch; dropped EA (non-x86 are supported too, some even use optimized code)

* Mon Jul 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 6789e51
- added forgotten patch

* Mon Jul 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 1a494fb
- new Source0 URL, updated to 1.0.10
- updated autodetect_textured_overlay patch
- removed obsolete desktop,gcc,def_user,libpng-1.5,format patches
- added opt patch (prefer PLD optflags)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> fa807f6
- updated gettext BR

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a4801a
- rel 11; build fixed

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d75c27
- release 10 (by relup.sh)

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f44c48
- rel 9; libpng fix

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 76d84e9
- release 7

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8278444
- dropped pre-cvs changelog

* Sat Mar 06 2010 Paweł Sikora <pluto@pld-linux.org> df18dc2
- textured overlay autodetection fixed, release 6.

* Sat Mar 06 2010 Paweł Sikora <pluto@pld-linux.org> eb665d7
- match adaptor name instead of tricky and not always correct port attribute.

* Fri Jan 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 649f218
- release 5

* Wed Jan 20 2010 Paweł Sikora <pluto@pld-linux.org> e0a262f
- autodetect textured overlay, release 4.
  (tested on xorg-driver-video-ati + EXA enabled + kde4 compositing enabled).

* Wed Jan 20 2010 Paweł Sikora <pluto@pld-linux.org> cedec2f
- check for presence of textured overlay and use if not grabbed.

* Wed Jan 20 2010 Paweł Sikora <pluto@pld-linux.org> aec146f
- fix local 'locale_t' definition with this one from /usr/include/xlocale.h.

* Mon Jun 16 2008 Karol Krenski <charles@pld-linux.org> 7cd0df6
- more xorg-* BRs

* Mon Jul 09 2007 Bartłomiej Zimoń <cactus@pld-linux.org> 7900aef
- don't need __user, now tvtime works

* Wed May 30 2007 shadzik <shadzik@pld-linux.org> 46d91c8
- fix build by adding -def_user.patch
- rel 3

* Wed May 30 2007 shadzik <shadzik@pld-linux.org> 0676a89
- define  __user (missing from non-existent compiler.h)

